package com.liangjian.dataplatform.member.entity.po.fourthly;

import io.swagger.annotations.ApiModel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "mem_terminaldoc")
@ApiModel("终端")
public class Terminaldoc {

    @Id
    @Column(name = "TerminalKey", nullable = false)
    private Integer terminalKey;
    @Column(name = "TerminalName")
    private String terminalName;
    @Column(name = "TerminalDesc")
    private String terminalDesc;
    @Column(name = "ParentTerminalKey")
    private String parentTerminalKey;
    @Column(name = "TerminalCode")
    private Integer terminalCode;
    @Column(name = "HasLowLevel")
    private Integer hasLowLevel;
    @Column(name = "SourceTerminalCode")
    private Integer sourceTerminalCode;
    @Column(name = "SourceTerminalKey")
    private String sourceTerminalKey;
    @Column(name = "SourceTerminalSort")
    private Integer sourceTerminalSort;

    public Integer getTerminalKey() {
        return terminalKey;
    }

    public void setTerminalKey(Integer terminalKey) {
        this.terminalKey = terminalKey;
    }

    public String getTerminalName() {
        return terminalName;
    }

    public void setTerminalName(String terminalName) {
        this.terminalName = terminalName;
    }

    public String getTerminalDesc() {
        return terminalDesc;
    }

    public void setTerminalDesc(String terminalDesc) {
        this.terminalDesc = terminalDesc;
    }

    public String getParentTerminalKey() {
        return parentTerminalKey;
    }

    public void setParentTerminalKey(String parentTerminalKey) {
        this.parentTerminalKey = parentTerminalKey;
    }

    public Integer getTerminalCode() {
        return terminalCode;
    }

    public void setTerminalCode(Integer terminalCode) {
        this.terminalCode = terminalCode;
    }

    public Integer getHasLowLevel() {
        return hasLowLevel;
    }

    public void setHasLowLevel(Integer hasLowLevel) {
        this.hasLowLevel = hasLowLevel;
    }

    public Integer getSourceTerminalCode() {
        return sourceTerminalCode;
    }

    public void setSourceTerminalCode(Integer sourceTerminalCode) {
        this.sourceTerminalCode = sourceTerminalCode;
    }

    public String getSourceTerminalKey() {
        return sourceTerminalKey;
    }

    public void setSourceTerminalKey(String sourceTerminalKey) {
        this.sourceTerminalKey = sourceTerminalKey;
    }

    public Integer getSourceTerminalSort() {
        return sourceTerminalSort;
    }

    public void setSourceTerminalSort(Integer sourceTerminalSort) {
        this.sourceTerminalSort = sourceTerminalSort;
    }
}
